# GeoMoose 3

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.7976084.svg)](https://doi.org/10.5281/zenodo.7976084)
![Build Status](https://github.com/geomoose/gm3/actions/workflows/tests.yml/badge.svg)

This is the main repository for the new GeoMoose3 library/application. To learn more about GeoMoose [visit the homepage.](http://www.geomoose.org)


## Communication

 - [GitHub Discussions](https://github.com/orgs/geomoose/discussions)
 - [GeoMoose Mailing List](https://lists.osgeo.org/pipermail/geomoose-users/)
 - [OSGeo Matrix](https://matrix.to/#/#geomoose:osgeo.org)


## Documentation

GeoMoose 3 Documentation found in the `./docs` directory of this repository and is also available online at https://docs.geomoose.org/3.x/


## Quickstarts

[Click here for the Quickstart Guide](https://docs.geomoose.org/3.x/quickstarts/index.html)


## Building

```
npm install
npm run build
```

## Running Tests

```
npm test
```

*Tests will skip the map unless canvas is installed. To perform a more complete test ensure node-canvas 1.x is installed*

```
npm install canvas@~1.0.0
```

## License

GeoMoose3 uses an MIT-style licence. You can read the contents of it [here](./LICENSE)

## OSGeo
GeoMoose is an OSGeo Project. To learn more about OSGeo and what that means, click the logo below.
[![OSGeo Logo](https://www.geomoose.org/_static/osgeo.png)](http://www.osgeo.org/)
